package objectdbevaluation;

import java.util.HashMap;

import javax.persistence.CascadeType;
import javax.persistence.Embeddable;
import javax.persistence.OneToOne;

@Embeddable
public class TestEmbeddableA {

    @OneToOne(cascade=CascadeType.ALL)
    private HashMap<String, TestEmbeddableB> myMap = new HashMap<String, TestEmbeddableB>();

    public Object getValue(String key, String dataName) {

        Object retObject = null;
        TestEmbeddableB embeddableB = myMap.get(key);
        if(embeddableB != null) {
            retObject = embeddableB.getValue(dataName);
        }
        return retObject;
    }

    public void updateValue(String key, String dataName, Object value) {

        TestEmbeddableB embeddableB = myMap.get(key);
        if(embeddableB == null) {
            embeddableB = new TestEmbeddableB();
            myMap.put(key, embeddableB);
        }
        embeddableB.updateValue(dataName, value);
    }
}
